Your message dated Fri, 06 Apr 2018 10:50:31 +0000
with message-id <e1f4owx-0000ky...@fasolo.debian.org>
and subject line Bug#788421: fixed in virtaal 0.7.1-6
has caused the Debian Bug report #788421,
regarding virtaal: amagama not working ,need to follow redirects
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
788421: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=788421
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: virtaal
Version: 0.7.1-1
Severity: normal
Tags: patch

Dear Maintainer,

I was trying to use virtaal to translate some .po/.ts files,
however the amagama plugin didn't work.
Wireshark revealed that it was getting 301 responses, and it wasn't following
these redirects.

Upstream has already fixed the issue here:
https://github.com/translate/virtaal/commit/64f6a16c879e7d08ba80bd1f469ffcee2f843257

If I patch /usr/share/pyshared/virtaal/support/httpclient.py then amagama works
again.



-- System Information:
Debian Release: 8.1
  APT prefers stable
  APT policy: (900, 'stable'), (500, 'stable-updates'), (500, 'unstable'), 
(500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages virtaal depends on:
ii  python             2.7.9-1
ii  python-glade2      2.24.0-4
ii  python-gobject     3.14.0-1
ii  python-gtk2        2.24.0-4
ii  python-lxml        3.4.0-1
ii  python-pycurl      7.19.5-3
ii  python2.7          2.7.9-2
ii  translate-toolkit  1.12.0+dfsg1-2

Versions of packages virtaal recommends:
ii  libreoffice-common  1:4.3.3-2+deb8u1
ii  python-gtkspell     2.25.3-13
ii  python-levenshtein  0.11.2-2
ii  python-psycopg2     2.5.4+dfsg-1

virtaal suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: virtaal
Source-Version: 0.7.1-6

We believe that the bug you reported is fixed in the latest version of
virtaal, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 788...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stuart Prescott <stu...@debian.org> (supplier of updated virtaal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 06 Apr 2018 20:29:00 +1000
Source: virtaal
Binary: virtaal
Architecture: source
Version: 0.7.1-6
Distribution: unstable
Urgency: medium
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Changed-By: Stuart Prescott <stu...@debian.org>
Description:
 virtaal    - graphical localisation editor and multi-format translation tool
Closes: 788421
Changes:
 virtaal (0.7.1-6) unstable; urgency=medium
 .
   * Cherry pick upstream patch to follow redirects, with thanks to Török Edwin
     (Closes: #788421).
   * Update Standards-Version to 4.1.4 (no changes required).
Checksums-Sha1:
 fb5c834ca35c5e542b2b47c2d9aea5bd52adc849 2118 virtaal_0.7.1-6.dsc
 7dc612eb1c97d86d9303261341314d3bd2cb438c 8568 virtaal_0.7.1-6.debian.tar.xz
 4c0eea77da61e03af0e012eb03d9c1c6a6f8f149 6155 virtaal_0.7.1-6_amd64.buildinfo
Checksums-Sha256:
 e4b8107752336218ad91fcdc9722d4105b0d7cd2070c475f2ae4cf02010861ec 2118 
virtaal_0.7.1-6.dsc
 0bfa50782cc42ed0510b0da39f387fb7e26cbc977c23fbeb48f680da32708956 8568 
virtaal_0.7.1-6.debian.tar.xz
 b66ef943203729b93812c5f4e734df4be4c4c8df6bc37cd08c1001085ff929d3 6155 
virtaal_0.7.1-6_amd64.buildinfo
Files:
 9a13c0f1c61f6151409bd740bef47365 2118 devel optional virtaal_0.7.1-6.dsc
 185a35c0d02aa2688354459be3ddd16b 8568 devel optional 
virtaal_0.7.1-6.debian.tar.xz
 4d552739fce96bfaec7e6a5d86e9e231 6155 devel optional 
virtaal_0.7.1-6_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEkOLSwa0Uaht+u4kdu8F+uxOW8vcFAlrHTIcACgkQu8F+uxOW
8vdJ9A//SKP7Xo0hw0DAEztdblAnOzBizE8oWkJ8bnU7whohvAAJT3S6i+oOWSHY
qUbLl9UInBKwTT4u1uw2Z8uLWWDHfdIPykonF4wwiZUNbuZA12UWbxBDJVDrG0Gu
jGHOlx4Xpy8XGQsdOocfeqgFjbgDXREA8eB6pVhxiCrgppyXPEHCELTWR6fEQsn7
pq9OuWTP8CV/10UuS3tj68YT3hbEzrXYu/f0D9+WIbxrJ1GAryReheGybH3TG8Am
9VmlssaK3VQznGRq12crP3Tuh/pY9ktgYYpIH/qxjnMIgNXpnmlRfofMpwXZeQUs
QN7PihVvEmvHjQmad4ekKAENaIyWdsOVXWrDT7X5szj9ySyC67q8VQoQ53UjaNRg
TeysujpIny78QLcgE34btkGwipQYIvLrLxu5M9oS04Wgm4nxRAtozkbQoQc72vwl
CAJDOINVGx/x+Yp5MdpdJqmECXw0g4hPCGfPQtMXIVEJkBaiGcozTrlO15dqe5dm
l4sl7KQOLNanD+LqhArhNxwsajoSuDuVlfOPdQIm8KJkoCWQ58uFdawNUKZNSIT7
9JiWJhuBc7Wrlf8KiPCKzA+9/Z3Kzq/wHcJMaIcDv0gpTwFRytgt1ChZtSGeOlew
+/wvEuAW4JQLoaiIfxl6znfUViIS+XOd1lXRL9gDg5I/xj75y5s=
=4Hyu
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Debian-l10n-devel mailing list
Debian-l10n-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-l10n-devel

Reply via email to